%global pkgname boto

Summary:	A simple lightweight interface to Amazon Web Services
Name:		python-boto
Version:	1.9b
Release:	%mkrel 0
License:	MIT
Group:		Development/Languages
URL:		http://code.google.com/p/%{pkgname}/
Source:		http://boto.googlecode.com/files/%{pkgname}-%{version}.tar.gz
Patch0:		python-boto-1.9b-image.patch
Patch1:		python-boto-1.9b-prefix.patch
Patch2:		python-boto-1.9b-python27.patch
Patch3:		python-boto-1.9b-python24.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel, python-setuptools 

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .image
%patch1 -p1 -b .prefix
%patch2 -p1 -b .python27
%patch3 -p1 -b .python24

%build
%{__python} setup.py build  

%install
rm -rf %{buildroot} 
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root %{buildroot} 

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/elbadmin
%{_bindir}/fetch_file
%{_bindir}/launch_instance
%{_bindir}/list_instances
%{_bindir}/s3put
%{_bindir}/sdbadmin
%{_bindir}/taskadmin
%{py_puresitedir}/*



%changelog
* Wed Feb 23 2011 philippem <philippem> 1.9b-0.mga1
+ Revision: 57469
- imported package python-boto


* Wed Feb 23 2011 Philippe Makowski <makowski.mageia@gmail.com> - 1.9b-0.mga1
- Initial spec file for Mageia based on Fedora spec


